## xreader 2.4.4+tricia

=== meson_options.txt ===
option('comics',
    type: 'boolean',
    value: false,
    description: 'Support for the comic book (cbr) backend'
)
option('djvu',
    type: 'boolean',
    value: false,
    description: 'Support for the djvu backend'
)
option('dvi',
    type: 'boolean',
    value: false,
    description: 'Support for the dvi backend'
)
option('t1lib',
    type: 'boolean',
    value: false,
    description: 'Compile with t1lib for type1 font support in the dvi backend'
)
option('epub',
    type: 'boolean',
    value: true,
    description: 'Support for the epub backend'
)
option('pdf',
    type: 'boolean',
    value: true,
    description: 'Support for the PDF backend'
)
option('pixbuf',
    type: 'boolean',
    value: false,
    description: 'Support for the generic pixbuf image backend'
)
option('ps',
    type: 'boolean',
    value: true,
    description: 'Support for the PostScript backend'
)
option('tiff',
    type: 'boolean',
    value: true,
    description: 'Support for the tiff backend'
)
option('xps',
    type: 'boolean',
    value: true,
    description: 'Support for the xps backend'
)
option('gtk_unix_print',
    type: 'boolean',
    value: true,
    description: 'Print support'
)
option('keyring',
    type: 'boolean',
    value: true,
    description: 'Keyring support for password-protected documents'
)
option('mathjax-directory',
    type: 'string',
    value: '',
    description: 'Path to the system mathjax installation.'
)
option('previewer',
    type: 'boolean',
    value: true,
    description: 'Build the print previewer program'
)
option('thumbnailer',
    type: 'boolean',
    value: true,
    description: 'Build the thumbnailer program'
)
option('tests',
    type: 'boolean',
    value: true,
    description: ''
)
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('help_files',
    type: 'boolean',
    value: false,
    description: 'Build the help files'
)
option('introspection',
    type: 'boolean',
    value: false,
    description: 'Enable GObject introspection'
)
option('enable_dbus',
    type: 'boolean',
    value: true,
    description: 'Enable D-Bus support'
)
option('deprecated_warnings',
    type: 'boolean',
    value: false,
    description: 'Show build warnings for deprecations'
)
option('enable_debug',
    type: 'boolean',
    value: false,
    description: 'Enable the runtime debugger'
)

=== debian/changelog ===
xreader (2.4.4+tricia) tricia; urgency=medium

  [ Michael Webster ]
  * Add meson scripts for compiling gschemas and updating the icon cache and mime database.
  * meson: Fix build configuration - dbus support was partly broken.

  [ Peter Moser ]
  * Shell: Run thumbnail jobs for epubs not as threads (#353)

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ Eli Schwartz ]
  * meson: fix detection of t1lib

  [ icarter09 ]
  * Created test for the Xreader Help menu.
  * Created test cases for File and Edit menus.

  [ Isaac Carter ]
  * Update meson.build

  [ Michael Webster ]
  * debian/rules: disable tests for now via build options.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jan 2020 16:04:14 +0000

xreader (2.4.3) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:53:56 +0000

xreader (2.4.2) tricia; urgency=medium

  [ Soapux ]
  * Meson: Formatting fix in the options file

  [ Peter Moser ]
  * Thumbnailer: Do not try to create an unsupported epub thumbnail
  * Thumbnailer: Remove MATE label from context

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Nov 2019 20:02:37 +0000

xreader (2.4.1) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:17:14 +0000

xreader (2.4.0) tricia; urgency=medium

  [ Peter Moser ]
  * Fix compile warnings (#317)
  * Build: Fail on implicit function declarations (#321)

  [ Michael Webster ]
  * preview window/printing: Remove build conditionals for gtk+-unix-print-3.0.

  [ Dominik Helm ]
  * Fix segfault on empty navMap (#334)

  [ Soapux ]
  * meson: Dependency fixes (#335)

  [ Germán Poo-Caamaño ]
  * EVINCE BACKPORTS: backends: Don't ask for bug report in known issues. Fixes #695165.

  [ Giselle Reis ]
  * EVINCE BACKPORTS: pdf: Create highlight annotations for existing annotations in document
  * EVINCE BACKPORTS: libdocument: adding class EvAnnotationTextMarkup
  * EVINCE BACKPORTS: libdocument: adding annotation highlight

  [ Carlos Garcia Campos ]
  * EVINCE BACKPORTS: shell: Show highlight annotations in the sidebar
  * EVINCE BACKPORTS: libdocument: Use a common annotation type for text markup annotations
  * EVINCE BACKPORTS: Add support for reading strike out text markup annotations
  * EVINCE BACKPORTS: Add support for reading underline text markup annotations
  * EVINCE BACKPORTS: Add support for changing the type of a text markup annotation
  * EVINCE BACKPORTS: pdf: Fix memory leak when adding new text annotations

  [ Philipp Reinkemeier ]
  * EVINCE BACKPORTS: libdocument: Added can-have-popup property to EvAnnotationMarkups.
  * EVINCE BACKPORTS: pdf: Set can-have-popup property to markup annotations when created
  * EVINCE BACKPORTS: ev-view: Create an EvAnnotationWindow for EvAnnotationMarkups allowing this
  * EVINCE BACKPORTS: pdf: Added support to save popup rectangles to pdf backend

  [ Carlos Garcia Campos ]
  * EVINCE BACKPORTS: pdf: Use poppler_annot_markup_set_popup_rectangle() if available

  [ Philipp Reinkemeier ]
  * EVINCE BACKPORTS: pdf: Force text annotations to have a fixed size 24x24

  [ Carlos Garcia Campos ]
  * EVINCE BACKPORTS: libview: Take border into account when converting view points to doc points

  [ Giselle Machado ]
  * EVINCE BACKPORTS: view: preparing for interactive annotations

  [ Philipp Reinkemeier ]
  * EVINCE BACKPORTS: libdocument: adding annotation squiggly.
  * EVINCE BACKPORTS: pdf: adding annotation squiggly.
  * EVINCE BACKPORTS: shell: adding annotation squiggly.
  * EVINCE BACKPORTS: pdf: Fixed wrong type-check in copy_poppler_annot.

  [ Carlos Garcia Campos ]
  * EVINCE BACKPORTS: libdocument: Add area property to EvAnnotation
  * EVINCE BACKPORTS: libview: Set the area of the annotations created by the user
  * EVINCE BACKPORTS: pdf: Deprecate the rectangle passed to ev_document_annotations_add_annotation
  * EVINCE BACKPORTS: libdocument: Add EV_ANNOTATIONS_SAVE_AREA flag
  * EVINCE BACKPORTS: pdf: Add support for saving the annotation area
  * EVINCE BACKPORTS: libview: Update the annot area while moved when it's being added

  [ Giselle Reis ]
  * EVINCE BACKPORTS: pdf: support for adding and saving highlight annotations
  * EVINCE BACKPORTS: shell, view: adding highlight annotation

  [ Carlos Garcia Campos ]
  * EVINCE BACKPORTS: pdf: Ensure we always create text markup annots with at least one quadrilateral

  [ Peter Moser ]
  * Add a sidebar buttons for adding annotations

  [ Carlos Garcia Campos ]
  * EVINCE BACKPORTS: page-cache: Add flags parameter to ev_page_cache_mark_dirty()

  [ Peter Moser ]
  * pdf: Mark document as modified when inserting annotations

  [ Jose Aliste ]
  * EVINCE BACKPORTS: libview: Do not create annotation window twice.

  [ José Aliste ]
  * EVINCE BACKPORTS: libview: Ignore right clicks while in annotation add mode.

  [ Jose Aliste ]
  * EVINCE BACKPORTS: view: use a hashtable to map annots to their popups.

  [ Nelson Benítez León ]
  * EVINCE BACKPORTS: ev-view: don't show tooltips for empty annotations
  * EVINCE BACKPORTS: Fix add_annotation() to update area based on bounding box

  [ Peter Moser ]
  * Remove deprecated/unused code and fix warnings
  * libview: Hide annotation windows on key-press

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 12:28:05 +0000

xreader (2.2.3) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:08:19 +0200

=== debian/rules ===
#!/usr/bin/make -f

TYPELIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

DHFLAGS=--parallel
DEB_XREADER_FLAGS=
ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
ifeq ($(shell lsb_release -cs),wheezy)
	DEB_XREADER_FLAGS=--without-keyring
endif
endif

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	sed 's@TYPELIBDIR@${TYPELIBDIR}@' debian/gir1.2-xreader.install.in > debian/gir1.2-xreader.install
	dh_install --fail-missing

override_dh_auto_test:
	ninja -C debian/build test

override_dh_auto_configure:
	meson debian/build \
		--prefix=/usr \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--buildtype=plain \
		-D deprecated_warnings=false \
		-D djvu=true \
		-D dvi=true \
		-D t1lib=true \
		-D pixbuf=true \
		-D comics=true \
		-D introspection=true \
		-D help_files=true \
		-D tests=false
	# 	--disable-static \

override_dh_strip:
	dh_strip -pxreader --dbg-package=xreader-dbg
	dh_strip -plibxreaderdocument3 --dbg-package=libxreaderdocument3-dbg
	dh_strip -plibxreaderview3 --dbg-package=libxreaderview3-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/tmp \
	ninja -C debian/build install

override_dh_auto_build:
	ninja -C debian/build

## xreader 2.6.4

=== debian/changelog ===
xreader (2.6.4-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- andyprough <andyprough@protonmail.com>  Mon, 28 Sep 2020 13:59:45 -0500

xreader (2.6.4) ulyana; urgency=medium

  * Fix app version

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:47:27 +0100

xreader (2.6.3) ulyana; urgency=medium

  * l10n: Update POT
  * Thumbnailer: add application/vnd.comicbook-rar
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:09:59 +0100

xreader (2.6.2) ulyana; urgency=medium

  [ Mickael ]
  * xreader crash on epub search - reproducable
  * Copy metadata when a file is copied

  [ Clement Lefebvre ]
  * CI: Target Mint 20 and LMDE 4

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 14:33:41 +0100

xreader (2.6.1) ulyana; urgency=medium

  [ NikoKrause ]
  * use new annotations icons (#397)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 May 2020 12:51:35 +0100

xreader (2.6.0) ulyana; urgency=medium

  [ Stephen Collins ]
  * .gitignore: add meson build dir for deb builds

  [ Leigh Scott ]
  * Remove use of deprecated g_type_class_add_private function

  [ Michael Webster ]
  * ev-window.c: Refactor action visibility.
  * ev-window.c: Hide the toolbar in recent document mode, there's nothing that can be used on it anyhow.

  [ icarter09 ]
  * Created more tests for Xreader menu.

  [ Stephen Collins ]
  * Tests: use build target rather than executable name for dependency
  * Build: change the conditions for handling tests
  * tests: Some adjustments and improvements
  * testEditMenu.py and testFileMenu.py: open file with arg to prevent error
  * Tests: extend the timeout from 30 seconds to 2 minutes

  [ icarter09 ]
  * Updated old tests
  * Removing unnecessary test.

  [ Eli Schwartz ]
  * meson: simplify version comparison

  [ icarter09 ]
  * Updated python version to python3

  [ Michael Webster ]
  * ev-window.c: Don't use g_type_class_peek.

  [ icarter09 ]
  * Added checks to stop error messages from overtaking the terminal and possibly causing a segfault.
  * Add Print button to toolbar
  * Added logic to keep the find bar visible until keyboard shortcut is pressed.
  * Added back hot keys

  [ Mickael ]
  * Segmentation fault when opening a PDF file #339
  * Add UTF8 support for filename in recent view
  * Bugfix #266
  * Zoom by Control+scroll is too sensitive
  * [Feature request] Please provide "Save" option

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 10:16:46 +0100

xreader (2.4.4) tricia; urgency=medium

  [ Michael Webster ]
  * Add meson scripts for compiling gschemas and updating the icon cache and mime database.
  * meson: Fix build configuration - dbus support was partly broken.

  [ Peter Moser ]
  * Shell: Run thumbnail jobs for epubs not as threads (#353)

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ Eli Schwartz ]
  * meson: fix detection of t1lib

  [ icarter09 ]
  * Created test for the Xreader Help menu.
  * Created test cases for File and Edit menus.

  [ Isaac Carter ]
  * Update meson.build

  [ Michael Webster ]
  * debian/rules: disable tests for now via build options.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jan 2020 16:04:14 +0000

=== debian/control ===
Source: xreader
Section: x11
Priority: optional
Maintainer: andyprough <andyprough@protonmail.com>
XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               gobject-introspection,
               intltool,
               libdjvulibre-dev,
               libgail-3-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtk2.0-dev,
               libgxps-dev,
               libjs-mathjax,
               libkpathsea-dev,
               libpoppler-glib-dev,
               libsecret-1-dev,
               libsm-dev,
               libspectre-dev,
               libtiff-dev,
               libwebkit2gtk-4.0-dev (>= 2.4.3),
               libxapp-dev (>= 1.1.0),
               libx11-dev,
               libxml2-dev,
               lsb-release,
               mate-common (>= 1.12),
               meson,
               xsltproc,
               yelp-tools,
               zlib1g-dev,
Standards-Version: 3.9.6
Homepage: http://github.com/linuxmint/xreader/

Package: xreader
Architecture: any
Depends: xreader-common (>= ${source:Version}),
         libxreaderdocument3 (= ${binary:Version}),
         libxreaderview3 (= ${binary:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dbus-x11,
            gvfs,
Provides: djvu-viewer,
          pdf-viewer,
          postscript-viewer,
Suggests: poppler-data,
          unrar,
Description: Document viewer
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 When supported by the document, it also allows searching for text,
 copying text to the clipboard, hypertext navigation, and
 table-of-contents bookmarks.

Package: xreader-dbg
Section: debug
Priority: extra
Architecture: any
Depends: xreader (= ${binary:Version}),
         ${misc:Depends},
Description: Document viewer (debugging symbols)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols for Xreader.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: xreader-common
Architecture: all
Depends: ${misc:Depends},
Description: Document viewer (common files)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the architecture independent files.

Package: libxreaderview3
Section: libs
Architecture: any
Depends: libxreaderdocument3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document viewing library
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document viewing library used by Xreader.

Package: libxreaderview-dev
Section: libdevel
Architecture: any
Depends: libxreaderview3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document viewing library (development files)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files for the libxreaderview
 library.

Package: libxreaderview3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libxreaderview3 (= ${binary:Version}),
         ${misc:Depends},
Description: Document viewing library (debugging symbols)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols for the libxreaderview
 library.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libxreaderdocument3
Section: libs
Architecture: any
Depends: libjs-mathjax,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document rendering library
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the document rendering library used by Xreader.

Package: libxreaderdocument-dev
Section: libdevel
Architecture: any
Depends: libxreaderdocument3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document rendering library (development files)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains the development files for the libxreaderdocument
 library.

Package: libxreaderdocument3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libxreaderdocument3 (= ${binary:Version}),
         ${misc:Depends},
Description: Document rendering library (debugging symbols)
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains debugging symbols for the libxreaderdocument
 library.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: gir1.2-xreader
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: GObject introspection data for Xreader
 Xreader is a simple multi-page document viewer.  It can display
 and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and
 Portable Document Format (PDF) files.
 .
 This package contains introspection data for Xreader.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## xreader 2.6.4+ulyana

=== debian/changelog ===
xreader (2.6.4+ulyana) ulyana; urgency=medium

  * Fix app version

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:47:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,6 @@
 	sed 's@TYPELIBDIR@${TYPELIBDIR}@' debian/gir1.2-xreader.install.in > debian/gir1.2-xreader.install
 	dh_install --fail-missing
 
-override_dh_auto_test:
-	ninja -C debian/build test
-
 override_dh_auto_configure:
 	meson debian/build \
 		--prefix=/usr \
@@ -33,7 +30,6 @@
 		-D comics=true \
 		-D introspection=true \
 		-D help_files=true \
-		-D tests=false
 	# 	--disable-static \
 
 override_dh_strip:

## xreader 2.6.5+ulyana

=== debian/changelog ===
xreader (2.6.5+ulyana) ulyana; urgency=medium

  [ Michael Webster ]
  * dvi: Don't manually escape the exported filename.
  * epub: Prevent path traversal when extracting files [CVE-2023-44451]
  * comics: Use libarchive to unpack documents [CVE-2023-44452].
  * comics: Use unarr for rar support when using libarchive 3.4.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Dec 2023 11:59:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: xreader
 Section: x11
 Priority: optional
-Maintainer: andyprough <andyprough@protonmail.com>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends: debhelper (>= 9),
                gobject-introspection,
                intltool,
+               libarchive-dev (>= 3.4.0),
                libdjvulibre-dev,
                libgail-3-dev,
                libgirepository1.0-dev,

## xreader 2.8.3+ulyssa

=== debian/changelog ===
xreader (2.8.3+ulyssa) ulyssa; urgency=medium

  [ Isaac Carter ]
  * Fix Save a Copy issue with Firefox (#448)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 11:22:50 +0000

xreader (2.8.2) ulyssa; urgency=medium

  * Fix scrolling regressions
  * Add Right-to-Left support
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:33:31 +0000

xreader (2.8.1) ulyssa; urgency=medium

  [ Michael Webster ]
  * debian/rules: Change build type to catch additional warnings.

  [ Dan Čermák ]
  * Convert parse_mimetypes from returning g_char** to void

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:40 +0000

xreader (2.8.0) ulyssa; urgency=medium

  [ icarter09 ]
  * Fixed issue 410

  [ okaestne ]
  * Get toolbar visibility from GtkRevealer when saving view metadata

  [ Dan Čermák ]
  * Add g_assert_not_reached to sizing_mode_to_string

  [ okaestne ]
  * setting to hide/show menubar (WIP)
  * Update menubar toggle action on init
  * fix saving menubar visibility as default

  [ icarter09 ]
  * Added logic to fix issue of Tab key toggling checkboxes

  [ Michael Webster ]
  * Fix mimetype handling and backend selection:
  * Clean up build files

  [ icarter09 ]
  * Fix for #89. Added logic to allow for cursor position to change in multiline-text fields
  * Added keyboard shortcut for toolbar
  * Fix for #442. Added null check to stop segfault with annotations
  * Implemented ticket #241. Added show sidebar button to toolbar

  [ Michael Webster ]
  * Move the new sidebar button to be part of the navigation group on the left end of the toolbar.

  [ icarter09 ]
  * Added keyboard shortcuts to history buttons

  [ Michael Webster ]
  * Favorites - rework startup page to display both favorites and recents, add favorites to the file menu.
  * Disable pixbuf support properly.
  * ev-window.c: Temporarily disable menu toggling using the alt key.

  [ icarter09 ]
  * Implements ticket #279. Added Go To Page By Number to menu
  * Displays entire label in tooltip

  [ Clement Lefebvre ]
  * Revert "Implements ticket #279. Added Go To Page By Number to menu"
  * l10n: Fix po/POTFILES.in

  [ Michael Webster ]
  * ev-window-title.c: Don't show "Recent Documents" in the landing page titlebar - it is no longer showing only recents.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Dec 2020 14:04:34 +0000

## xreader 3.0.2+debbie

=== debian/changelog ===
xreader (3.0.2+debbie) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:45 +0100

xreader (3.0.1) uma; urgency=medium

  [ Musa Unal ]
  * annotation icons added (#491)
  * attachment popup fix (#492)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:09:49 +0100

xreader (3.0.0) uma; urgency=medium

  [ icarter09 ]
  * Fixes #457. Allows space bar to scroll document forward

  [ Soapux ]
  * Move metadata to non-legacy path

  [ icarter09 ]
  * Fixes #463. Moves annotations below the text.

  [ Michael Webster ]
  * packaging: Fix metadata location.

  [ icarter09 ]
  * Fixes #473. Jump to Page functionality

  [ musa ]
  * enter event on presentation mode

  [ m8 ]
  * readme updated
  * show the total number of words matching the search result

  [ dejj ]
  * fix segfault in epub backend when opening a filename containing a hash
  * epub: Fix unescaping of '#' (#487)

  [ Musa Unal ]
  * control+f and space behaviours fixed in search bar (#488)

  [ Joshua Peisach ]
  * Fix grammar error spotted by lintian (#489)

  [ Clement Lefebvre ]
  * l10n: Don't include gsettings schema in translations
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Jun 2021 14:27:53 +0100

xreader (2.8.3) ulyssa; urgency=medium

  [ Isaac Carter ]
  * Fix Save a Copy issue with Firefox (#448)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 11:22:50 +0000

## xreader 3.0.2+uma

=== debian/changelog ===
xreader (3.0.2+uma) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:45 +0100

## xreader 3.2.2

=== debian/changelog ===
xreader (3.2.2-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 Jan 2022 15:37:59 -0500

xreader (3.2.2) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 16:01:03 +0000

xreader (3.2.1) una; urgency=medium

  * Gsettings: Remove state schema reference

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 29 Nov 2021 10:16:00 +0000

xreader (3.2.0) una; urgency=medium

  [ Clement Lefebvre ]
  * Add an option to hide the menu bar
  * Make show-toolbar a global setting

  [ George Sheppard ]
  * Update the README. (#498)

  [ Clement Lefebvre ]
  * window: Don't show any toolbar in fullscreen
  * rtl: Fix arrow key navigation in mangas
  * metadata: Save the number of pages
  * Remove landing view
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Nov 2021 11:01:47 +0000

xreader (3.0.2) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: xreader
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
-Build-Depends: debhelper (>= 9),
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Build-Depends: debhelper-compat (= 12),
                gobject-introspection,
                intltool,
-               libarchive-dev (>= 3.4.0),
                libdjvulibre-dev,
                libgail-3-dev,
                libgirepository1.0-dev,
@@ -21,7 +21,7 @@
                libspectre-dev,
                libtiff-dev,
                libwebkit2gtk-4.0-dev (>= 2.4.3),
-               libxapp-dev (>= 1.1.0),
+               libxapp-dev (>= 1.9.0),
                libx11-dev,
                libxml2-dev,
                lsb-release,

## xreader 3.2.2+una

=== debian/changelog ===
xreader (3.2.2+una) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 16:01:03 +0000

## xreader 3.2.3+ulyssa

=== debian/changelog ===
xreader (3.2.3+ulyssa) virginia; urgency=medium

  [ Michael Webster ]
  * dvi: Don't manually escape the exported filename.
  * epub: Prevent path traversal when extracting files [CVE-2023-44451]
  * comics: Use libarchive to unpack documents [CVE-2023-44452].
  * comics: Use unarr for rar support when using libarchive 3.4.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:43:47 +0000

## xreader 3.2.3+uma

=== debian/changelog ===
xreader (3.2.3+uma) virginia; urgency=medium

  [ Michael Webster ]
  * dvi: Don't manually escape the exported filename.
  * epub: Prevent path traversal when extracting files [CVE-2023-44451]
  * comics: Use libarchive to unpack documents [CVE-2023-44452].
  * comics: Use unarr for rar support when using libarchive 3.4.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:43:47 +0000

## xreader 3.2.3+una

=== debian/changelog ===
xreader (3.2.3+una) virginia; urgency=medium

  [ Michael Webster ]
  * dvi: Don't manually escape the exported filename.
  * epub: Prevent path traversal when extracting files [CVE-2023-44451]
  * comics: Use libarchive to unpack documents [CVE-2023-44452].
  * comics: Use unarr for rar support when using libarchive 3.4.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:43:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: xreader
 Section: x11
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends: debhelper-compat (= 12),
                gobject-introspection,
                intltool,
+               libarchive-dev (>= 3.4.0),
                libdjvulibre-dev,
                libgail-3-dev,
                libgirepository1.0-dev,

## xreader 3.4.5%2Belsie

=== debian/changelog ===
xreader (3.4.5+elsie) vanessa; urgency=medium

  [ Michael Webster ]
  * ev-window.c: Only disable custom event handling for web documents.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Aug 2022 12:15:03 +0200

xreader (3.4.4) vanessa; urgency=medium

  [ Michael Webster ]
  * ev-window.c: Don't try to handle keyboard events manually.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:29:19 +0200

xreader (3.4.3) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:39:12 +0200

xreader (3.4.2) vanessa; urgency=medium

  [ Michael Webster ]
  * ev-jobs: Use the correct page-count results container for the document type.
  * epub: Fix index loading for certain documents - look for epub:type instead of epub:id.
  * epub: Free the document when we leave early because of a bad toc file.

  [ Musa Ünal ]
  * Revert "Evince Backport:  Allow adding Highlight annotations from text selection (#493)" (#556)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Jul 2022 07:42:43 +0200

xreader (3.4.1) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 14:08:47 +0200

xreader (3.4.0) vanessa; urgency=medium

  [ CraigMcL ]
  * Search: Add a close button (#550)

  [ Clement Lefebvre ]
  * Search: Remove unnecessary tooltip
  * CI: Update targets

  [ icarter09 ]
  * Fixes some of the warnings during build

  [ Musa Ünal ]
  * Evince Backport:  Allow adding Highlight annotations from text selection (#493)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2022 16:23:59 +0200

xreader (3.3.0) elsie; urgency=medium

  * Thumbnailer: Remove epub support

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Feb 2022 11:10:15 +0000

## xreader 3.4.5+vanessa

=== debian/changelog ===
xreader (3.4.5+vanessa) vanessa; urgency=medium

  [ Michael Webster ]
  * ev-window.c: Only disable custom event handling for web documents.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Aug 2022 12:15:03 +0200

## xreader 3.6.3+elsie

=== debian/changelog ===
xreader (3.6.3+elsie) vera; urgency=medium

  [ Michael Webster ]
  * ev-spectre (ps): Print any render error message before returning.
  * ps backend: disable pdf export using libspectre.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2023 09:46:41 +0000

xreader (3.6.2) vera; urgency=medium

  [ Michael Webster ]
  * ev-view.c: Check if there is a focused annotation before trying to access it.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 15 Dec 2022 14:50:09 +0000

xreader (3.6.1) vera; urgency=medium

  [ Michael Webster ]
  * ev-view.c: Clear view->focus_annotation when removing the currently focused annotation.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Dec 2022 16:00:21 +0000

xreader (3.6.0) vera; urgency=medium

  [ Clement Lefebvre ]
  * Add Github action (#570)
  * Remove empty TODO file

  [ Michael Webster ]
  * Clean up README and INSTALL.
  * Fix badge, formatting
  * Change github workflow's file extension.

  [ Oliver Kästner ]
  * build/i18n: migrate from intltool to gettext (#552)

  [ Leigh Scott ]
  * Add missing requires for the typelib

  [ Clement Lefebvre ]
  * Revert "build/i18n: migrate from intltool to gettext (#552)"

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 16 Nov 2022 15:52:44 +0000

xreader (3.4.5) vanessa; urgency=medium

  [ Michael Webster ]
  * ev-window.c: Only disable custom event handling for web documents.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Aug 2022 12:15:03 +0200

## xreader 3.6.3+vera

=== debian/changelog ===
xreader (3.6.3+vera) vera; urgency=medium

  [ Michael Webster ]
  * ev-spectre (ps): Print any render error message before returning.
  * ps backend: disable pdf export using libspectre.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2023 09:46:41 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper-compat (= 12),
                gobject-introspection,
                intltool,
-               libarchive-dev (>= 3.4.0),
                libdjvulibre-dev,
                libgail-3-dev,
                libgirepository1.0-dev,
@@ -176,6 +175,8 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
+         libxreaderview3,
+         libxreaderdocument3,
 Description: GObject introspection data for Xreader
  Xreader is a simple multi-page document viewer.  It can display
  and print PostScript (PS), Encapsulated PostScript (EPS), DJVU, DVI and

## xreader 3.6.6%2Bvera

=== debian/changelog ===
xreader (3.6.6+vera) virginia; urgency=medium

  [ Michael Webster ]
  * comics: Use unarr for rar support when using libarchive 3.4.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 12:16:34 +0000

xreader (3.6.5) virginia; urgency=medium

  [ Michael Webster ]
  * dvi: Don't manually escape the exported filename.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:45:35 +0000

xreader (3.6.4) virginia; urgency=medium

  [ Michael Webster ]
  * epub: Prevent path traversal when extracting files [CVE-2023-44451]
  * comics: Use libarchive to unpack documents [CVE-2023-44452].

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:39:27 +0000

xreader (3.6.3) vera; urgency=medium

  [ Michael Webster ]
  * ev-spectre (ps): Print any render error message before returning.
  * ps backend: disable pdf export using libspectre.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2023 09:46:41 +0000

## xreader 3.6.6+elsie

=== debian/changelog ===
xreader (3.6.6+elsie) virginia; urgency=medium

  [ Michael Webster ]
  * comics: Use unarr for rar support when using libarchive 3.4.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 12:16:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper-compat (= 12),
                gobject-introspection,
                intltool,
+               libarchive-dev (>= 3.4.0),
                libdjvulibre-dev,
                libgail-3-dev,
                libgirepository1.0-dev,

## xreader 3.6.6+vanessa

=== debian/changelog ===
xreader (3.6.6+vanessa) virginia; urgency=medium

  [ Michael Webster ]
  * comics: Use unarr for rar support when using libarchive 3.4.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 12:16:34 +0000

## xreader 3.8.0+victoria

=== debian/changelog ===
xreader (3.8.0+victoria) victoria; urgency=medium

  [ Clement Lefebvre ]
  * Add support for AI mimetype

  [ Oliver Kästner ]
  * Fix some build warnings (#592)

  [ Vishal Pankaj Chandratreya ]
  * Open new files in a maximised window. (#590)

  [ Oliver Kästner ]
  * Fix some minor memleaks (#593)

  [ Michael Webster ]
  * ev-pixbuf-cache.c: Fix leak when rendering pages while annotating.
  * ev-window.c: Don't close the window before a save operation completes.

  [ Oliver Kästner ]
  * [RFC] Migrate from GTime to GDateTime (#595)

  [ Leigh Scott ]
  * Switch to webkit2gtk-4.1

  [ Michael Webster ]
  * Don't treat GDateTime as a GObject.
  * Restore libwebkit2gtk-4.0 as an alternate dependency.

  [ Vishal Pankaj Chandratreya ]
  * Background colour of presentation view fixed. (#600)

  [ Clement Lefebvre ]
  * Add dark mode support
  * Default: Open documents in page mode

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 10:29:08 +0100

## xreader 3.8.1+victoria

=== debian/changelog ===
xreader (3.8.1+victoria) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:09:05 +0100

xreader (3.8.0) victoria; urgency=medium

  [ Clement Lefebvre ]
  * Add support for AI mimetype

  [ Oliver Kästner ]
  * Fix some build warnings (#592)

  [ Vishal Pankaj Chandratreya ]
  * Open new files in a maximised window. (#590)

  [ Oliver Kästner ]
  * Fix some minor memleaks (#593)

  [ Michael Webster ]
  * ev-pixbuf-cache.c: Fix leak when rendering pages while annotating.
  * ev-window.c: Don't close the window before a save operation completes.

  [ Oliver Kästner ]
  * [RFC] Migrate from GTime to GDateTime (#595)

  [ Leigh Scott ]
  * Switch to webkit2gtk-4.1

  [ Michael Webster ]
  * Don't treat GDateTime as a GObject.
  * Restore libwebkit2gtk-4.0 as an alternate dependency.

  [ Vishal Pankaj Chandratreya ]
  * Background colour of presentation view fixed. (#600)

  [ Clement Lefebvre ]
  * Add dark mode support
  * Default: Open documents in page mode

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 10:29:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper-compat (= 12),
                gobject-introspection,
                intltool,
-               libarchive-dev (>= 3.4.0),
                libdjvulibre-dev,
                libgail-3-dev,
                libgirepository1.0-dev,
@@ -20,8 +19,8 @@
                libsm-dev,
                libspectre-dev,
                libtiff-dev,
-               libwebkit2gtk-4.0-dev (>= 2.4.3),
-               libxapp-dev (>= 1.9.0),
+               libwebkit2gtk-4.1-dev (>= 2.4.3) | libwebkit2gtk-4.0-dev (>= 2.4.3),
+               libxapp-dev (>= 2.5.0),
                libx11-dev,
                libxml2-dev,
                lsb-release,

## xreader 3.8.2+faye

=== debian/changelog ===
xreader (3.8.2+faye) victoria; urgency=medium

  * Add a setting to control window maximization on new documents
  * Add the window maximization setting to preferences
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:35:02 +0200

xreader (3.8.1) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:09:05 +0100

## xreader 3.8.2+victoria

=== debian/changelog ===
xreader (3.8.2+victoria) victoria; urgency=medium

  * Add a setting to control window maximization on new documents
  * Add the window maximization setting to preferences
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:35:02 +0200

## xreader 3.8.3+virginia

=== debian/changelog ===
xreader (3.8.3+virginia) virginia; urgency=medium

  [ kacperpaczos ]
  * I removed the exclamation mark because we want to insert a link, not an image as link. (#605)

  [ Michael Webster ]
  * ev-window.c: Only close after save-as if it's spawned as a result of the exit document-modified dialog.
  * Add link for existing issues to the bug report template.
  * Fix building with meson 1.2.
  * ev-message-area.c: Check that the GtkStockItem is initialized before attempting to access it.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 16:37:31 +0000

xreader (3.8.2) victoria; urgency=medium

  * Add a setting to control window maximization on new documents
  * Add the window maximization setting to preferences
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:35:02 +0200

## xreader 3.8.4+virginia

=== debian/changelog ===
xreader (3.8.4+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:22:54 +0000

xreader (3.8.3) virginia; urgency=medium

  [ kacperpaczos ]
  * I removed the exclamation mark because we want to insert a link, not an image as link. (#605)

  [ Michael Webster ]
  * ev-window.c: Only close after save-as if it's spawned as a result of the exit document-modified dialog.
  * Add link for existing issues to the bug report template.
  * Fix building with meson 1.2.
  * ev-message-area.c: Check that the GtkStockItem is initialized before attempting to access it.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 16:37:31 +0000

## xreader 3.8.5+faye

=== debian/changelog ===
xreader (3.8.5+faye) virginia; urgency=medium

  [ Michael Webster ]
  * dvi: Don't manually escape the exported filename.
  * ev-window.c: Don't create the epub webview until the doc type is known.

  [ Paulynomial ]
  * Djvu file rotation direction fixed (#628)

  [ Michael Webster ]
  * epub: Prevent path traversal when extracting files [CVE-2023-44451]
  * comics: Use libarchive to unpack documents [CVE-2023-44452].

  [ Clement Lefebvre ]
  * Revert "ev-window.c: Don't create the epub webview until the doc type"

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:22:04 +0000

xreader (3.8.4) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:22:54 +0000

## xreader 3.8.5+victoria

=== debian/changelog ===
xreader (3.8.5+victoria) virginia; urgency=medium

  [ Michael Webster ]
  * dvi: Don't manually escape the exported filename.
  * ev-window.c: Don't create the epub webview until the doc type is known.

  [ Paulynomial ]
  * Djvu file rotation direction fixed (#628)

  [ Michael Webster ]
  * epub: Prevent path traversal when extracting files [CVE-2023-44451]
  * comics: Use libarchive to unpack documents [CVE-2023-44452].

  [ Clement Lefebvre ]
  * Revert "ev-window.c: Don't create the epub webview until the doc type"

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:22:04 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper-compat (= 12),
                gobject-introspection,
                intltool,
+               libarchive-dev (>= 3.6.0),
                libdjvulibre-dev,
                libgail-3-dev,
                libgirepository1.0-dev,

## xreader 4.0.0+virginia

=== debian/changelog ===
xreader (4.0.0+virginia) virginia; urgency=medium

  * dependency: Drop compatibility with libwebkit2gtk-4.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:22:28 +0000

xreader (3.8.5) virginia; urgency=medium

  [ Michael Webster ]
  * dvi: Don't manually escape the exported filename.
  * ev-window.c: Don't create the epub webview until the doc type is known.

  [ Paulynomial ]
  * Djvu file rotation direction fixed (#628)

  [ Michael Webster ]
  * epub: Prevent path traversal when extracting files [CVE-2023-44451]
  * comics: Use libarchive to unpack documents [CVE-2023-44452].

  [ Clement Lefebvre ]
  * Revert "ev-window.c: Don't create the epub webview until the doc type"

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:22:04 +0000

## xreader 4.0.2+faye

=== debian/changelog ===
xreader (4.0.2+faye) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:09:26 +0000

xreader (4.0.1) virginia; urgency=medium

  [ Stefan Schramm ]
  * Fix list of supported mime types (#631)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:48:46 +0000

xreader (4.0.0) virginia; urgency=medium

  * dependency: Drop compatibility with libwebkit2gtk-4.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:22:28 +0000

## xreader 4.0.2+virginia

=== debian/changelog ===
xreader (4.0.2+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:09:26 +0000

## xreader 4.2.0+wilma

=== debian/changelog ===
xreader (4.2.0+wilma) wilma; urgency=medium

  [ correctmost ]
  * epub: Fix an incorrect sizeof call detected by AddressSanitizer (#635)

  [ Matthew Petroff ]
  * pdf backend: Ignore FullScreen PageMode catalog entry (#633)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Jun 2024 12:51:59 +0100

xreader (4.0.2) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:09:26 +0000

## xreader 4.2.1+wilma

=== debian/changelog ===
xreader (4.2.1+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 21:01:03 +0100

xreader (4.2.0) wilma; urgency=medium

  [ correctmost ]
  * epub: Fix an incorrect sizeof call detected by AddressSanitizer (#635)

  [ Matthew Petroff ]
  * pdf backend: Ignore FullScreen PageMode catalog entry (#633)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Jun 2024 12:51:59 +0100

## xreader 4.2.2+faye

=== debian/changelog ===
xreader (4.2.2+faye) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:45:23 +0100

xreader (4.2.1) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 21:01:03 +0100

## xreader 4.2.2+wilma

=== debian/changelog ===
xreader (4.2.2+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:45:23 +0100

## xreader 4.2.3+faye

=== debian/changelog ===
xreader (4.2.3+faye) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:59:00 +0000

xreader (4.2.2) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:45:23 +0100

## xreader 4.2.3+xanmian~25.01.22

=== debian/changelog ===
xreader (4.2.3+xanmian~25.01.22) bookworm; urgency=medium

  * Optimized for Xanmian

 -- Juan Sánchez <contact@xanmian.com>  Mon, 20 Jan 2025 11:05:00 +0100

xreader (4.2.3) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:59:00 +0000

## xreader 4.2.3+xia

=== debian/changelog ===
xreader (4.2.3+xia) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:59:00 +0000

## xreader 4.2.4+faye

=== debian/changelog ===
xreader (4.2.4+faye) xia; urgency=medium

  [ Leigh Scott ]
  * Update private.h: gcc-15 build fix (#667)

  [ Michael Webster ]
  * epub: Disable support for sidebar thumbnails. (#671)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Apr 2025 11:30:58 +0100

## xreader 4.2.4+wilma

=== debian/changelog ===
xreader (4.2.4+wilma) xia; urgency=medium

  [ Leigh Scott ]
  * Update private.h: gcc-15 build fix (#667)

  [ Michael Webster ]
  * epub: Disable support for sidebar thumbnails. (#671)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Apr 2025 11:30:58 +0100

## xreader 4.2.4+xia

=== debian/changelog ===
xreader (4.2.4+xia) xia; urgency=medium

  [ Leigh Scott ]
  * Update private.h: gcc-15 build fix (#667)

  [ Michael Webster ]
  * epub: Disable support for sidebar thumbnails. (#671)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Apr 2025 11:30:58 +0100
